Debian Bug report logs - #648939
USB mouse stops work on battery power

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Erik de Castro Lopo <erikd@mega-nerd.com>

Date: Wed, 16 Nov 2011 09:51:01 UTC

Severity: normal

Found in versions 3.1.1-1, linux-2.6/2.6.33-1~experimental.5, linux-2.6/2.6.37-2

Done: Moritz Mühlenhoff <jmm@inutil.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#648939; Package linux-2.6. (Wed, 16 Nov 2011 09:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik de Castro Lopo <erikd@mega-nerd.com>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 16 Nov 2011 09:51:32 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Erik de Castro Lopo <erikd@mega-nerd.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: USB mouse stops work on battery power
Date: Wed, 16 Nov 2011 20:41:34 +1100
Package: linux-2.6
Version: 3.1.1-1
Severity: normal


Mouse works when the laptop is connected to power but stops about 20 seconds
after power is disconnected. Re=connecting power and the mouse starts working
again. This problem did not exist in 2.6.32 but did in 3.0.


-- Package-specific info:
** Version:
Linux version 3.1.0-1-amd64 (Debian 3.1.1-1) (ben@decadent.org.uk) (gcc version 4.6.2 (Debian 4.6.2-4) ) #1 SMP Mon Nov 14 08:02:25 UTC 2011

** Command line:
BOOT_IMAGE=/boot/vmlinuz-3.1.0-1-amd64 root=UUID=b9dc7b52-178d-41d2-90dc-5ffb7af06598 ro quiet

** Not tainted

** Kernel log:
[   10.921574] loop: module loaded
[   11.780675] EXT4-fs (sda3): mounted filesystem with ordered data mode. Opts: (null)
[   12.551950] input: PS/2 Generic Mouse as /devices/platform/i8042/serio4/serio5/input/input12
[   14.147453] fuse init (API version 7.17)
[   16.623745] input: ACPI Virtual Keyboard Device as /devices/virtual/input/input13
[   19.936221] e1000e 0000:00:19.0: irq 44 for MSI/MSI-X
[   19.992087] e1000e 0000:00:19.0: irq 44 for MSI/MSI-X
[   19.992532] ADDRCONF(NETDEV_UP): eth0: link is not ready
[   22.502904] Bluetooth: Core ver 2.16
[   22.502924] NET: Registered protocol family 31
[   22.502925] Bluetooth: HCI device and connection manager initialized
[   22.502928] Bluetooth: HCI socket layer initialized
[   22.502929] Bluetooth: L2CAP socket layer initialized
[   22.502936] Bluetooth: SCO socket layer initialized
[   22.612317] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[   22.612319] Bluetooth: BNEP filters: protocol multicast
[   22.672165] Bluetooth: RFCOMM TTY layer initialized
[   22.672169] Bluetooth: RFCOMM socket layer initialized
[   22.672170] Bluetooth: RFCOMM ver 1.11
[   23.894729] lp0: using parport0 (interrupt-driven).
[   24.118226] ppdev: user-space parallel port driver
[   26.105566] Bridge firewalling registered
[   26.391395] ip_tables: (C) 2000-2006 Netfilter Core Team
[   26.935906] nf_conntrack version 0.5.0 (16384 buckets, 65536 max)
[   27.038157] ADDRCONF(NETDEV_UP): virbr0: link is not ready
[   27.448317] e1000e 0000:00:19.0: irq 44 for MSI/MSI-X
[   27.504127] e1000e 0000:00:19.0: irq 44 for MSI/MSI-X
[   27.504677] ADDRCONF(NETDEV_UP): eth0: link is not ready
[   28.499398] Ebtables v2.0 registered
[   28.619794] ip6_tables: (C) 2000-2006 Netfilter Core Team
[   33.731596] uhci_hcd 0000:00:1a.0: PCI INT A disabled
[   33.731884] ehci_hcd 0000:00:1a.7: PCI INT D disabled
[   33.731920] ehci_hcd 0000:00:1a.7: PME# enabled
[   33.744547] uhci_hcd 0000:00:1d.1: PCI INT B disabled
[   33.744751] uhci_hcd 0000:00:1d.2: PCI INT C disabled
[   33.744950] ehci_hcd 0000:00:1d.7: PCI INT D disabled
[   33.744990] ehci_hcd 0000:00:1d.7: PME# enabled
[   33.828123] ehci_hcd 0000:00:1a.7: BAR 0: set to [mem 0xd8826c00-0xd8826fff] (PCI address [0xd8826c00-0xd8826fff])
[   33.828144] ehci_hcd 0000:00:1a.7: restoring config space at offset 0xf (was 0x400, writing 0x40a)
[   33.828167] ehci_hcd 0000:00:1a.7: restoring config space at offset 0x1 (was 0x2900000, writing 0x2900002)
[   33.828198] ehci_hcd 0000:00:1a.7: PME# disabled
[   33.828209] ehci_hcd 0000:00:1a.7: PCI INT D -> GSI 19 (level, low) -> IRQ 19
[   33.828216] ehci_hcd 0000:00:1a.7: setting latency timer to 64
[   33.972086] ehci_hcd 0000:00:1d.7: BAR 0: set to [mem 0xd8826800-0xd8826bff] (PCI address [0xd8826800-0xd8826bff])
[   33.972107] ehci_hcd 0000:00:1d.7: restoring config space at offset 0xf (was 0x400, writing 0x40a)
[   33.972130] ehci_hcd 0000:00:1d.7: restoring config space at offset 0x1 (was 0x2900000, writing 0x2900002)
[   33.972171] ehci_hcd 0000:00:1d.7: PME# disabled
[   33.972182] ehci_hcd 0000:00:1d.7: PCI INT D -> GSI 20 (level, low) -> IRQ 20
[   33.972189] ehci_hcd 0000:00:1d.7: setting latency timer to 64
[   34.025193] uhci_hcd 0000:00:1a.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[   34.025200] uhci_hcd 0000:00:1a.0: setting latency timer to 64
[   34.073919] uhci_hcd 0000:00:1d.1: PCI INT B -> GSI 22 (level, low) -> IRQ 22
[   34.073935] uhci_hcd 0000:00:1d.1: setting latency timer to 64
[   34.115264] uhci_hcd 0000:00:1d.2: PCI INT C -> GSI 18 (level, low) -> IRQ 18
[   34.115281] uhci_hcd 0000:00:1d.2: setting latency timer to 64
[   34.818238] e1000e 0000:00:19.0: PCI INT A disabled
[   34.818246] e1000e 0000:00:19.0: PME# enabled
[   40.602886] EXT4-fs (sda1): re-mounted. Opts: errors=remount-ro,commit=0
[   40.693995] EXT4-fs (sda3): re-mounted. Opts: commit=0
[   96.304601] iwlagn 0000:02:00.0: RF_KILL bit toggled to enable radio.
[   96.388960] iwlagn 0000:02:00.0: L1 Disabled; Enabling L0S
[   96.389338] iwlagn 0000:02:00.0: Radio type=0x0-0x2-0x0
[   96.544411] iwlagn 0000:02:00.0: L1 Disabled; Enabling L0S
[   96.544795] iwlagn 0000:02:00.0: Radio type=0x0-0x2-0x0
[   96.591349] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[   97.004069] usb 3-1: new full speed USB device number 2 using uhci_hcd
[   97.176393] usb 3-1: New USB device found, idVendor=03f0, idProduct=171d
[   97.176396] usb 3-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[   97.176398] usb 3-1: Product: HP Integrated Module
[   97.176399] usb 3-1: Manufacturer: Broadcom Corp
[   97.222873] Bluetooth: Generic Bluetooth USB driver ver 0.6
[   97.393899] Intel AES-NI instructions are not detected.
[   97.436594] padlock_aes: VIA PadLock not detected.
[   97.453428] usbcore: registered new interface driver btusb
[  104.628217] wlan0: authenticate with 00:18:39:c9:09:95 (try 1)
[  104.631155] wlan0: authenticated
[  104.638500] wlan0: waiting for beacon from 00:18:39:c9:09:95
[  104.683209] wlan0: beacon received
[  104.700042] wlan0: associate with 00:18:39:c9:09:95 (try 1)
[  104.703392] wlan0: RX AssocResp from 00:18:39:c9:09:95 (capab=0x431 status=0 aid=1)
[  104.703395] wlan0: associated
[  104.710199] ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[  115.312033] wlan0: no IPv6 routers present
[ 1256.170264] exe (5993): /proc/5993/oom_adj is deprecated, please use /proc/5993/oom_score_adj instead.
[ 1378.998011] Monitor-Mwait will be used to enter C-2 state
[ 1379.004531] Monitor-Mwait will be used to enter C-3 state
[ 1379.393363] EXT4-fs (sda1): re-mounted. Opts: errors=remount-ro,commit=600
[ 1379.524342] EXT4-fs (sda3): re-mounted. Opts: commit=600
[ 1379.742233] EXT4-fs (sda1): re-mounted. Opts: errors=remount-ro,commit=600
[ 1379.766042] EXT4-fs (sda3): re-mounted. Opts: commit=600
[ 1379.979269] uhci_hcd 0000:00:1a.2: PCI INT C disabled
[ 1379.982177] uhci_hcd 0000:00:1d.1: PCI INT B disabled
[ 1379.983379] uhci_hcd 0000:00:1d.2: PCI INT C disabled
[ 1379.988041] ehci_hcd 0000:00:1d.7: PCI INT D disabled
[ 1379.988080] ehci_hcd 0000:00:1d.7: PME# enabled
[ 1381.872060] ehci_hcd 0000:00:1a.7: PCI INT D disabled
[ 1381.872131] ehci_hcd 0000:00:1a.7: PME# enabled
[ 1381.896103] uhci_hcd 0000:00:1a.0: PCI INT A disabled
[ 1381.940121] uhci_hcd 0000:00:1a.1: PCI INT B disabled
[ 1381.968120] uhci_hcd 0000:00:1d.0: PCI INT A disabled

** Model information
sys_vendor: Hewlett-Packard
product_name: HP EliteBook 6930p
product_version: F.16
chassis_vendor: Hewlett-Packard
chassis_version: 
bios_vendor: Hewlett-Packard
bios_version: 68PCU Ver. F.16
board_vendor: Hewlett-Packard
board_name: 30DB
board_version: KBC Version 87.2A

** Loaded modules:
Module                  Size  Used by
cryptd                 14517  0 
aes_x86_64             16796  3 
aes_generic            33026  1 aes_x86_64
ecb                    12737  1 
btusb                  17502  2 
ip6table_filter        12540  0 
ip6_tables             22175  1 ip6table_filter
ebtable_nat            12580  0 
ebtables               26235  1 ebtable_nat
ipt_MASQUERADE         12594  3 
iptable_nat            12928  1 
nf_nat                 18242  2 ipt_MASQUERADE,iptable_nat
nf_conntrack_ipv4      14078  4 iptable_nat,nf_nat
nf_defrag_ipv4         12483  1 nf_conntrack_ipv4
xt_state               12503  1 
nf_conntrack           52670  5 ipt_MASQUERADE,iptable_nat,nf_nat,nf_conntrack_ipv4,xt_state
ipt_REJECT             12502  2 
xt_CHECKSUM            12471  1 
iptable_mangle         12536  1 
acpi_cpufreq           12935  1 
mperf                  12453  1 acpi_cpufreq
cpufreq_powersave      12454  0 
cpufreq_stats          12866  0 
xt_tcpudp              12570  5 
cpufreq_userspace      12576  0 
iptable_filter         12536  1 
cpufreq_conservative    13147  0 
ip_tables              22042  3 iptable_nat,iptable_mangle,iptable_filter
x_tables               19028  12 ip6table_filter,ip6_tables,ebtables,ipt_MASQUERADE,iptable_nat,xt_state,ipt_REJECT,xt_CHECKSUM,iptable_mangle,xt_tcpudp,iptable_filter,ip_tables
bridge                 66534  0 
stp                    12392  1 bridge
ppdev                  12763  0 
lp                     17149  0 
rfcomm                 33622  10 
bnep                   17567  2 
bluetooth             119290  23 btusb,rfcomm,bnep
binfmt_misc            12957  1 
uinput                 17440  1 
fuse                   61981  3 
loop                   22597  0 
firewire_sbp2          18077  0 
kvm_intel             121792  0 
kvm                   278183  1 kvm_intel
pata_pcmcia            16836  1 
uvcvideo               57788  0 
videodev               70858  1 uvcvideo
media                  18148  2 uvcvideo,videodev
v4l2_compat_ioctl32    16567  1 videodev
snd_hda_codec_analog    77709  1 
i915                  348449  3 
arc4                   12458  2 
tpm_infineon           12985  0 
pcmcia                 32691  1 pata_pcmcia
snd_hda_intel          26182  4 
iwlagn                166592  0 
snd_hda_codec          72799  2 snd_hda_codec_analog,snd_hda_intel
mac80211              183093  1 iwlagn
drm_kms_helper         27227  1 i915
yenta_socket           22899  0 
hp_wmi                 13329  0 
drm                   167371  4 i915,drm_kms_helper
sparse_keymap          12760  1 hp_wmi
pcmcia_rsrc            17533  1 yenta_socket
joydev                 17266  0 
snd_hwdep              13186  1 snd_hda_codec
snd_pcm                63744  3 snd_hda_intel,snd_hda_codec
hp_accel               21104  0 
pcmcia_core            18294  3 pcmcia,yenta_socket,pcmcia_rsrc
lis3lv02d              17832  1 hp_accel
wmi                    13243  1 hp_wmi
i2c_algo_bit           12841  1 i915
parport_pc             22364  1 
parport                31858  3 ppdev,lp,parport_pc
snd_seq                45093  0 
snd_timer              22917  3 snd_pcm,snd_seq
snd_seq_device         13176  1 snd_seq
evdev                  17562  18 
i2c_core               23876  5 videodev,i915,drm_kms_helper,drm,i2c_algo_bit
cfg80211              132703  2 iwlagn,mac80211
ac                     12624  0 
snd                    52798  14 snd_hda_codec_analog,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm,snd_seq,snd_timer,snd_seq_device
battery                13109  0 
power_supply           13475  2 ac,battery
tpm_tis                17454  0 
tpm                    17862  2 tpm_infineon,tpm_tis
tpm_bios               12948  1 tpm
pcspkr                 12579  0 
soundcore              13065  1 snd
input_polldev          12906  1 lis3lv02d
snd_page_alloc         13003  2 snd_hda_intel,snd_pcm
container              12581  0 
video                  17628  1 i915
psmouse                55543  0 
serio_raw              12850  0 
rfkill                 19012  5 bluetooth,hp_wmi,cfg80211
processor              27949  3 acpi_cpufreq
button                 12937  1 i915
ext4                  312988  2 
mbcache                13065  1 ext4
jbd2                   62015  1 ext4
crc16                  12343  2 bluetooth,ext4
dm_mod                 63353  0 
usbhid                 36379  0 
hid                    77192  1 usbhid
sg                     25874  0 
sd_mod                 36136  4 
crc_t10dif             12348  1 sd_mod
sr_mod                 21899  0 
cdrom                  35401  1 sr_mod
uhci_hcd               26865  0 
sdhci_pci              13483  0 
sdhci                  26577  1 sdhci_pci
firewire_ohci          31530  0 
mmc_core               63754  1 sdhci
firewire_core          48407  2 firewire_sbp2,firewire_ohci
crc_itu_t              12347  1 firewire_core
ata_generic            12479  0 
ahci                   24997  3 
libahci                22860  1 ahci
ehci_hcd               40215  0 
libata                140545  4 pata_pcmcia,ata_generic,ahci,libahci
usbcore               124095  6 btusb,uvcvideo,usbhid,uhci_hcd,ehci_hcd
e1000e                125122  0 
thermal                17383  0 
thermal_sys            18040  3 video,processor,thermal
scsi_mod              162376  5 firewire_sbp2,sg,sd_mod,sr_mod,libata

** Network interface configuration:

auto lo
iface lo inet loopback





** Network status:
*** IP interfaces and addresses:
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: eth0: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc pfifo_fast state DOWN qlen 1000
    link/ether d8:d3:85:99:04:09 brd ff:ff:ff:ff:ff:ff
3: wlan0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq state UP qlen 1000
    link/ether 00:21:6a:a5:2c:6e brd ff:ff:ff:ff:ff:ff
    inet 192.168.200.111/24 brd 192.168.200.255 scope global wlan0
    inet6 fe80::221:6aff:fea5:2c6e/64 scope link 
       valid_lft forever preferred_lft forever
4: virbr0: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc noqueue state DOWN 
    link/ether 8e:7e:37:8d:c7:89 brd ff:ff:ff:ff:ff:ff
    inet 192.168.122.1/24 brd 192.168.122.255 scope global virbr0

*** Device statistics:
Inter-|   Receive                                                |  Transmit
 face |bytes    packets errs drop fifo frame compressed multicast|bytes    packets errs drop fifo colls carrier compressed
    lo:   18900     298    0    0    0     0          0         0    18900     298    0    0    0     0       0          0
  eth0:       0       0    0    0    0     0          0         0        0       0    0    0    0     0       0          0
 wlan0: 53019544   50117    0    0    0     0          0         0  5289598   37061    0    0    0     0       0          0
virbr0:       0       0    0    0    0     0          0         0        0       0    0    0    0     0       0          0

*** Protocol statistics:
Ip:
    49657 total packets received
    0 forwarded
    0 incoming packets discarded
    49657 incoming packets delivered
    37329 requests sent out
    47 dropped because of missing route
Icmp:
    124 ICMP messages received
    0 input ICMP message failed.
    ICMP input histogram:
        destination unreachable: 124
    124 ICMP messages sent
    0 ICMP messages failed
    ICMP output histogram:
        destination unreachable: 124
IcmpMsg:
        InType3: 124
        OutType3: 124
Tcp:
    707 active connections openings
    0 passive connection openings
    30 failed connection attempts
    39 connection resets received
    25 connections established
    48891 segments received
    36055 segments send out
    515 segments retransmited
    0 bad segments received.
    172 resets sent
Udp:
    504 packets received
    124 packets to unknown port received.
    0 packet receive errors
    634 packets sent
UdpLite:
TcpExt:
    249 TCP sockets finished time wait in fast timer
    1196 delayed acks sent
    Quick ack mode was activated 54 times
    38839 packet headers predicted
    3640 acknowledgments not containing data payload received
    3197 predicted acknowledgments
    15 congestion windows recovered without slow start after partial ack
    90 other TCP timeouts
    54 DSACKs sent for old packets
    4 DSACKs received
    16 connections reset due to unexpected data
    31 connections reset due to early user close
    42 connections aborted due to timeout
    TCPSackShiftFallback: 4
IpExt:
    InMcastPkts: 52
    OutMcastPkts: 40
    InOctets: 52305684
    OutOctets: 4120270
    InMcastOctets: 6658
    OutMcastOctets: 6290


** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub [8086:2a40] (rev 07)
	Subsystem: Hewlett-Packard Company Device [103c:30db]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>
	Kernel driver in use: agpgart-intel

00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a42] (rev 07) (prog-if 00 [VGA controller])
	Subsystem: Hewlett-Packard Company Device [103c:30db]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 48
	Region 0: Memory at d0000000 (64-bit, non-prefetchable) [size=4M]
	Region 2: Memory at c0000000 (64-bit, prefetchable) [size=256M]
	Region 4: I/O ports at 7138 [size=8]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: i915

00:02.1 Display controller [0380]: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a43] (rev 07)
	Subsystem: Hewlett-Packard Company Device [103c:30db]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Region 0: Memory at d0400000 (64-bit, non-prefetchable) [size=1M]
	Capabilities: <access denied>

00:03.0 Communication controller [0780]: Intel Corporation Mobile 4 Series Chipset MEI Controller [8086:2a44] (rev 07)
	Subsystem: Hewlett-Packard Company Device [103c:30db]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 10
	Region 0: Memory at d8827000 (64-bit, non-prefetchable) [size=16]
	Capabilities: <access denied>

00:03.2 IDE interface [0101]: Intel Corporation Mobile 4 Series Chipset PT IDER Controller [8086:2a46] (rev 07) (prog-if 85 [Master SecO PriO])
	Subsystem: Hewlett-Packard Company Device [103c:30db]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin C routed to IRQ 11
	Region 0: I/O ports at 7130 [disabled] [size=8]
	Region 1: I/O ports at 714c [disabled] [size=4]
	Region 2: I/O ports at 7128 [disabled] [size=8]
	Region 3: I/O ports at 7148 [disabled] [size=4]
	Region 4: I/O ports at 7100 [disabled] [size=16]
	Capabilities: <access denied>

00:03.3 Serial controller [0700]: Intel Corporation Mobile 4 Series Chipset AMT SOL Redirection [8086:2a47] (rev 07) (prog-if 02 [16550])
	Subsystem: Hewlett-Packard Company Device [103c:30db]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 17
	Region 0: I/O ports at 7120 [size=8]
	Region 1: Memory at d8825000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: serial

00:19.0 Ethernet controller [0200]: Intel Corporation 82567LM Gigabit Network Connection [8086:10f5] (rev 03)
	Subsystem: Hewlett-Packard Company Device [103c:30db]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 22
	Region 0: Memory at d8800000 (32-bit, non-prefetchable) [disabled] [size=128K]
	Region 1: Memory at d8824000 (32-bit, non-prefetchable) [disabled] [size=4K]
	Region 2: I/O ports at 70e0 [disabled] [size=32]
	Capabilities: <access denied>
	Kernel driver in use: e1000e

00:1a.0 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 [8086:2937] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Hewlett-Packard Company Device [103c:30db]
	Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 16
	Region 4: I/O ports at 70c0 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1a.1 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 [8086:2938] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Hewlett-Packard Company Device [103c:30db]
	Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin B routed to IRQ 17
	Region 4: I/O ports at 70a0 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1a.2 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 [8086:2939] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Hewlett-Packard Company Device [103c:30db]
	Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin C routed to IRQ 18
	Region 4: I/O ports at 7080 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1a.7 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 [8086:293c] (rev 03) (prog-if 20 [EHCI])
	Subsystem: Hewlett-Packard Company Device [103c:30db]
	Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin D routed to IRQ 19
	Region 0: Memory at d8826c00 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1b.0 Audio device [0403]: Intel Corporation 82801I (ICH9 Family) HD Audio Controller [8086:293e] (rev 03)
	Subsystem: Hewlett-Packard Company Device [103c:30db]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 47
	Region 0: Memory at d8820000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: snd_hda_intel

00:1c.0 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 [8086:2940] (rev 03) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	I/O behind bridge: 00009000-00009fff
	Memory behind bridge: d8700000-d87fffff
	Prefetchable memory behind bridge: 00000000d8f00000-00000000d90fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.1 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 2 [8086:2942] (rev 03) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 00008000-00008fff
	Memory behind bridge: d8600000-d86fffff
	Prefetchable memory behind bridge: 00000000d8d00000-00000000d8efffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.2 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 3 [8086:2944] (rev 03) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=03, subordinate=43, sec-latency=0
	I/O behind bridge: 00005000-00006fff
	Memory behind bridge: d4600000-d85fffff
	Prefetchable memory behind bridge: 00000000d8b00000-00000000d8cfffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.4 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 5 [8086:2948] (rev 03) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=44, subordinate=84, sec-latency=0
	I/O behind bridge: 00003000-00004fff
	Memory behind bridge: d0600000-d45fffff
	Prefetchable memory behind bridge: 00000000d8900000-00000000d8afffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1d.0 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 [8086:2934] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Hewlett-Packard Company Device [103c:30db]
	Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 20
	Region 4: I/O ports at 7060 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1d.1 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 [8086:2935] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Hewlett-Packard Company Device [103c:30db]
	Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin B routed to IRQ 22
	Region 4: I/O ports at 7040 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1d.2 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 [8086:2936] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Hewlett-Packard Company Device [103c:30db]
	Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin C routed to IRQ 18
	Region 4: I/O ports at 7020 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1d.7 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 [8086:293a] (rev 03) (prog-if 20 [EHCI])
	Subsystem: Hewlett-Packard Company Device [103c:30db]
	Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin D routed to IRQ 20
	Region 0: Memory at d8826800 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev 93) (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=85, subordinate=89, sec-latency=32
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: d0500000-d05fffff
	Prefetchable memory behind bridge: 00000000dc000000-00000000dfffffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:1f.0 ISA bridge [0601]: Intel Corporation ICH9M-E LPC Interface Controller [8086:2917] (rev 03)
	Subsystem: Hewlett-Packard Company Device [103c:30db]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:1f.2 SATA controller [0106]: Intel Corporation ICH9M/M-E SATA AHCI Controller [8086:2929] (rev 03) (prog-if 01 [AHCI 1.0])
	Subsystem: Hewlett-Packard Company Device [103c:30db]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 45
	Region 0: I/O ports at 7118 [size=8]
	Region 1: I/O ports at 7144 [size=4]
	Region 2: I/O ports at 7110 [size=8]
	Region 3: I/O ports at 7140 [size=4]
	Region 4: I/O ports at 7000 [size=32]
	Region 5: Memory at d8826000 (32-bit, non-prefetchable) [size=2K]
	Capabilities: <access denied>
	Kernel driver in use: ahci

02:00.0 Network controller [0280]: Intel Corporation Ultimate N WiFi Link 5300 [8086:4236]
	Subsystem: Intel Corporation Device [8086:1011]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 46
	Region 0: Memory at d8600000 (64-bit, non-prefetchable) [size=8K]
	Capabilities: <access denied>
	Kernel driver in use: iwlagn

85:09.0 FireWire (IEEE 1394) [0c00]: Ricoh Co Ltd R5C832 IEEE 1394 Controller [1180:0832] (rev 06) (prog-if 10 [OHCI])
	Subsystem: Hewlett-Packard Company Device [103c:30db]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (500ns min, 1000ns max), Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 20
	Region 0: Memory at d0501000 (32-bit, non-prefetchable) [size=2K]
	Capabilities: <access denied>
	Kernel driver in use: firewire_ohci

85:09.1 SD Host controller [0805]: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter [1180:0822] (rev 25)
	Subsystem: Hewlett-Packard Company Device [103c:30db]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 22
	Region 0: Memory at d0501900 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: sdhci-pci

85:09.2 CardBus bridge [0607]: Ricoh Co Ltd RL5c476 II [1180:0476] (rev bb)
	Subsystem: Hewlett-Packard Company Device [103c:30db]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 168
	Interrupt: pin B routed to IRQ 22
	Region 0: Memory at d0500000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=85, secondary=86, subordinate=89, sec-latency=176
	Memory window 0: dc000000-dffff000 (prefetchable)
	Memory window 1: f0000000-f3fff000
	I/O window 0: 00002400-000024ff
	I/O window 1: 00002000-000020ff
	BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset- 16bInt- PostWrite+
	16-bit legacy interface ports at 0001
	Kernel driver in use: yenta_cardbus


** USB devices:
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 008 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 003: ID 04f2:b053 Chicony Electronics Co., Ltd 
Bus 004 Device 002: ID 08ff:2810 AuthenTec, Inc. AES2810
Bus 006 Device 002: ID 046d:c045 Logitech, Inc. Optical Mouse
Bus 003 Device 002: ID 03f0:171d Hewlett-Packard Wireless (Bluetooth + WLAN) Interface [Integrated Module]


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.1.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_AU.utf8, LC_CTYPE=en_AU.utf8 (charmap=ANSI_X3.4-1968) (ignored: LC_ALL set to C)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-3.1.0-1-amd64 depends on:
ii  debconf [debconf-2.0]                   1.5.40
ii  initramfs-tools [linux-initramfs-tool]  0.99  
ii  linux-base                              3.3   
ii  module-init-tools                       3.16-1

Versions of packages linux-image-3.1.0-1-amd64 recommends:
ii  firmware-linux-free  3

Versions of packages linux-image-3.1.0-1-amd64 suggests:
pn  grub-pc        1.99-12
pn  linux-doc-3.1  <none> 

Versions of packages linux-image-3.1.0-1-amd64 is related to:
pn  firmware-bnx2           <none>
pn  firmware-bnx2x          <none>
pn  firmware-ipw2x00        <none>
pn  firmware-ivtv           <none>
pn  firmware-iwlwifi        0.34  
pn  firmware-linux          <none>
pn  firmware-linux-nonfree  <none>
pn  firmware-qlogic         <none>
pn  firmware-ralink         <none>
pn  xen-hypervisor          <none>

-- debconf information:
  linux-image-3.1.0-1-amd64/postinst/ignoring-ramdisk:
  linux-image-3.1.0-1-amd64/postinst/depmod-error-initrd-3.1.0-1-amd64: false
  linux-image-3.1.0-1-amd64/prerm/removing-running-kernel-3.1.0-1-amd64: true
* linux-image-3.1.0-1-amd64/postinst/missing-firmware-3.1.0-1-amd64:




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#648939; Package linux-2.6. (Wed, 16 Nov 2011 22:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 16 Nov 2011 22:27:05 GMT) Full text and rfc822 format available.

Message #10 received at 648939@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Erik de Castro Lopo <erikd@mega-nerd.com>
Cc: 648939@bugs.debian.org
Subject: Re: USB mouse stops work on battery power
Date: Wed, 16 Nov 2011 16:23:24 -0600
Erik de Castro Lopo wrote:

> Mouse works when the laptop is connected to power but stops about 20 seconds
> after power is disconnected. Re=connecting power and the mouse starts working
> again. This problem did not exist in 2.6.32 but did in 3.0.

Weird.  Sounds like ACPI breakage.  Can you bisect?  (A few iterations to
narrow down the regression range would already be pretty helpful.)

Thanks,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#648939; Package linux-2.6. (Wed, 16 Nov 2011 22:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 16 Nov 2011 22:51:06 GMT) Full text and rfc822 format available.

Message #15 received at 648939@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Erik de Castro Lopo <erikd@mega-nerd.com>
Cc: 648939@bugs.debian.org
Subject: Re: USB mouse stops work on battery power
Date: Wed, 16 Nov 2011 16:48:16 -0600
Erik de Castro Lopo wrote:

> I've looked in the repo and the kernel versions seem to jump from
> 2.6.32 to 3.0.0. Are there debian packages for kernels between
> 2.6.32 and 3.0.0 or do i have to compile them myself?

Intermediate versions are at <http://snapshot.debian.org/>.  Sorry,
I should have mentioned so before.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#648939; Package linux-2.6. (Wed, 16 Nov 2011 22:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik de Castro Lopo <erikd@mega-nerd.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 16 Nov 2011 22:51:08 GMT) Full text and rfc822 format available.

Message #20 received at 648939@bugs.debian.org (full text, mbox):

From: Erik de Castro Lopo <erikd@mega-nerd.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 648939@bugs.debian.org
Subject: Re: USB mouse stops work on battery power
Date: Thu, 17 Nov 2011 09:41:00 +1100
Jonathan Nieder wrote:

> Erik de Castro Lopo wrote:
> 
> > Mouse works when the laptop is connected to power but stops about 20 seconds
> > after power is disconnected. Re=connecting power and the mouse starts working
> > again. This problem did not exist in 2.6.32 but did in 3.0.
> 
> Weird.  Sounds like ACPI breakage.  Can you bisect?  (A few iterations to
> narrow down the regression range would already be pretty helpful.)

I've looked in the repo and the kernel versions seem to jump from
2.6.32 to 3.0.0. Are there debian packages for kernels between
2.6.32 and 3.0.0 or do i have to compile them myself?

Erik
-- 
----------------------------------------------------------------------
Erik de Castro Lopo
http://www.mega-nerd.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#648939; Package linux-2.6. (Sun, 20 Nov 2011 10:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik de Castro Lopo <erikd@mega-nerd.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 20 Nov 2011 10:51:04 GMT) Full text and rfc822 format available.

Message #25 received at 648939@bugs.debian.org (full text, mbox):

From: Erik de Castro Lopo <erikd@mega-nerd.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 648939@bugs.debian.org
Subject: Re: USB mouse stops work on battery power
Date: Sun, 20 Nov 2011 21:47:45 +1100
Jonathan Nieder wrote:

> Intermediate versions are at <http://snapshot.debian.org/>.  Sorry,
> I should have mentioned so before.

Both 2.6.37-2-amd64 and 2.6.38-2-amd64 have the same problem.

Trying to find more kernels to test.

Erik
-- 
----------------------------------------------------------------------
Erik de Castro Lopo
http://www.mega-nerd.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#648939; Package linux-2.6. (Sun, 20 Nov 2011 11:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 20 Nov 2011 11:03:03 GMT) Full text and rfc822 format available.

Message #30 received at 648939@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Erik de Castro Lopo <erikd@mega-nerd.com>
Cc: 648939@bugs.debian.org
Subject: Re: USB mouse stops work on battery power
Date: Sun, 20 Nov 2011 04:59:57 -0600
found 648939 linux-2.6/2.6.37-2
quit

Erik de Castro Lopo wrote:

> Both 2.6.37-2-amd64 and 2.6.38-2-amd64 have the same problem.

BTW, a more useful version number is that shown in parentheses by
"cat /proc/version" (also shown by "dpkg-query -W
linux-image-$(uname -r)"), since it changes more often than the
package name.

> Trying to find more kernels to test.

The list of available versions is at [1].  Thanks for your patience.

Sincerely,
Jonathan

[1] http://snapshot.debian.org/package/linux-2.6/




Bug Marked as found in versions linux-2.6/2.6.37-2. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 20 Nov 2011 11:03:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#648939; Package linux-2.6. (Sun, 20 Nov 2011 11:27:44 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik de Castro Lopo <erikd@mega-nerd.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 20 Nov 2011 11:27:46 GMT) Full text and rfc822 format available.

Message #37 received at 648939@bugs.debian.org (full text, mbox):

From: Erik de Castro Lopo <erikd@mega-nerd.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 648939@bugs.debian.org
Subject: Re: USB mouse stops work on battery power
Date: Sun, 20 Nov 2011 22:23:10 +1100
Jonathan Nieder wrote:

> found 648939 linux-2.6/2.6.37-2
> quit
> 
> Erik de Castro Lopo wrote:
> 
> > Both 2.6.37-2-amd64 and 2.6.38-2-amd64 have the same problem.
> 
> BTW, a more useful version number is that shown in parentheses by
> "cat /proc/version" (also shown by "dpkg-query -W
> linux-image-$(uname -r)"), since it changes more often than the
> package name.

Noted.

Here are two more data points (version numbers from /proc/version):

    Good    2.6.32-5-amd64 (Debian 2.6.32-39)
    Bad     2.6.33-2-amd64 (Debian 2.6.33-1~experimental.5)

Are those two close enough?

Erik
-- 
----------------------------------------------------------------------
Erik de Castro Lopo
http://www.mega-nerd.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#648939; Package linux-2.6. (Sun, 20 Nov 2011 11:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 20 Nov 2011 11:33:07 GMT) Full text and rfc822 format available.

Message #42 received at 648939@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Erik de Castro Lopo <erikd@mega-nerd.com>
Cc: 648939@bugs.debian.org
Subject: Re: USB mouse stops work on battery power
Date: Sun, 20 Nov 2011 05:31:58 -0600
found 648939 linux-2.6/2.6.33-1~experimental.5
quit

Erik de Castro Lopo wrote:

> Here are two more data points (version numbers from /proc/version):
>
>     Good    2.6.32-5-amd64 (Debian 2.6.32-39)
>     Bad     2.6.33-2-amd64 (Debian 2.6.33-1~experimental.5)

Ah, that's a much more manageable range.

> Are those two close enough?

I assume 2.6.33-1~experimental.3 reproduces it, too?

If so, that's as much as we can learn from the pre-compiled packages,
yes.  I'll try to find time tomorrow to look through the package list
and see if any of the changes in 2.6.33 jumps out at me.




Bug Marked as found in versions linux-2.6/2.6.33-1~experimental.5. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 20 Nov 2011 11:33:45 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#648939; Package linux-2.6. (Sun, 20 Nov 2011 11:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 20 Nov 2011 11:36:04 GMT) Full text and rfc822 format available.

Message #49 received at 648939@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Erik de Castro Lopo <erikd@mega-nerd.com>
Cc: 648939@bugs.debian.org
Subject: Re: USB mouse stops work on battery power
Date: Sun, 20 Nov 2011 05:33:28 -0600
Jonathan Nieder wrote:

> If so, that's as much as we can learn from the pre-compiled packages,
> yes.  I'll try to find time tomorrow to look through the package list
> and see if any of the changes in 2.6.33 jumps out at me.

By "package list" I meant "upstream changelog".  Sorry for the thinko.

Sleepily,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#648939; Package linux-2.6. (Sun, 20 Nov 2011 19:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik de Castro Lopo <erikd@mega-nerd.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 20 Nov 2011 19:21:03 GMT) Full text and rfc822 format available.

Message #54 received at 648939@bugs.debian.org (full text, mbox):

From: Erik de Castro Lopo <erikd@mega-nerd.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 648939@bugs.debian.org
Subject: Re: USB mouse stops work on battery power
Date: Mon, 21 Nov 2011 06:17:02 +1100
Jonathan Nieder wrote:

> found 648939 linux-2.6/2.6.33-1~experimental.5
> quit
> 
> Erik de Castro Lopo wrote:
> 
> > Here are two more data points (version numbers from /proc/version):
> >
> >     Good    2.6.32-5-amd64 (Debian 2.6.32-39)
> >     Bad     2.6.33-2-amd64 (Debian 2.6.33-1~experimental.5)
> 
> Ah, that's a much more manageable range.
> 
> > Are those two close enough?
> 
> I assume 2.6.33-1~experimental.3 reproduces it, too?

Yes, problem was reproduced in 2.6.33-1~experimental.3. No problem
with 2.6.32-39.

> If so, that's as much as we can learn from the pre-compiled packages,
> yes.  I'll try to find time tomorrow to look through the package list
> and see if any of the changes in 2.6.33 jumps out at me.

Great. Thanks.

Erik
-- 
----------------------------------------------------------------------
Erik de Castro Lopo
http://www.mega-nerd.com/




Reply sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
You have taken responsibility. (Tue, 29 Nov 2011 16:36:07 GMT) Full text and rfc822 format available.

Notification sent to Erik de Castro Lopo <erikd@mega-nerd.com>:
Bug acknowledged by developer. (Tue, 29 Nov 2011 16:36:07 GMT) Full text and rfc822 format available.

Message #59 received at 648939-close@bugs.debian.org (full text, mbox):

From: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
To: 648939-close@bugs.debian.org
Subject: Bug#648939: fixed in libio-socket-inet6-perl 2.67-0.1
Date: Tue, 29 Nov 2011 16:33:05 +0000
Source: libio-socket-inet6-perl
Source-Version: 2.67-0.1

We believe that the bug you reported is fixed in the latest version of
libio-socket-inet6-perl, which is due to be installed in the Debian FTP archive:

libio-socket-inet6-perl_2.67-0.1.debian.tar.gz
  to main/libi/libio-socket-inet6-perl/libio-socket-inet6-perl_2.67-0.1.debian.tar.gz
libio-socket-inet6-perl_2.67-0.1.dsc
  to main/libi/libio-socket-inet6-perl/libio-socket-inet6-perl_2.67-0.1.dsc
libio-socket-inet6-perl_2.67-0.1_all.deb
  to main/libi/libio-socket-inet6-perl/libio-socket-inet6-perl_2.67-0.1_all.deb
libio-socket-inet6-perl_2.67.orig.tar.gz
  to main/libi/libio-socket-inet6-perl/libio-socket-inet6-perl_2.67.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 648939@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Kahn Gillmor <dkg@fifthhorseman.net> (supplier of updated libio-socket-inet6-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 28 Nov 2011 00:20:12 -0500
Source: libio-socket-inet6-perl
Binary: libio-socket-inet6-perl
Architecture: source all
Version: 2.67-0.1
Distribution: unstable
Urgency: low
Maintainer: Masahito Omote <omote@debian.org>
Changed-By: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Description: 
 libio-socket-inet6-perl - Object interface for AF_INET6 domain sockets
Closes: 648939
Changes: 
 libio-socket-inet6-perl (2.67-0.1) unstable; urgency=low
 .
   * Non-maintainer upload
   * New upstream release (Closes: #648939)
   * minimize debian/rules
   * bump Standards-Version to 3.9.2 (no changes needed)
Checksums-Sha1: 
 52659148d2756b52f275d81012ff9627e75491be 2006 libio-socket-inet6-perl_2.67-0.1.dsc
 498eeeb0b0c135665d962dfa94c41c075141949e 18096 libio-socket-inet6-perl_2.67.orig.tar.gz
 3a805d62f225bfbabfe5d113df534ea5695413a5 2232 libio-socket-inet6-perl_2.67-0.1.debian.tar.gz
 f5e6cf0054cae2c7e8fb1c9cb0407f35e132db1f 16228 libio-socket-inet6-perl_2.67-0.1_all.deb
Checksums-Sha256: 
 1bca4bfb5eee77d6e56d5903f4ea1d026dc703bc1aa89f82ee488b139e82ea95 2006 libio-socket-inet6-perl_2.67-0.1.dsc
 dd90e417cbd37047b71469ec99e79fe89a3bb5103769fc9c76b3c87d8cb019b2 18096 libio-socket-inet6-perl_2.67.orig.tar.gz
 d233433b371d6c5460f129286034afe3e427b1a917d0607103193237cd4d5279 2232 libio-socket-inet6-perl_2.67-0.1.debian.tar.gz
 c206df13e8c81990e17da519715b6f3e0b62bb45dea7bc5c4dd028dc8216e37f 16228 libio-socket-inet6-perl_2.67-0.1_all.deb
Files: 
 ec92ac312e5d13c8415e29ca46ddd028 2006 perl optional libio-socket-inet6-perl_2.67-0.1.dsc
 228c12e74df686f78b09aee1139dc11c 18096 perl optional libio-socket-inet6-perl_2.67.orig.tar.gz
 90f380637997f10a4efaea3bb8eb8f13 2232 perl optional libio-socket-inet6-perl_2.67-0.1.debian.tar.gz
 32bab642f7921c701aae05bfa0ca3d18 16228 perl optional libio-socket-inet6-perl_2.67-0.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQJ8BAEBCgBmBQJO05mfXxSAAAAAAC4AKGlzc3Vlci1mcHJAbm90YXRpb25zLm9w
ZW5wZ3AuZmlmdGhob3JzZW1hbi5uZXQwRUU1QkU5NzkyODJEODBCOUY3NTQwRjFD
Q0QyRUQ5NEQyMTczOUU5AAoJEMzS7ZTSFznpu9AP/3qzZWaVyH4AgXUKwalGPtOB
yDAObCdFltR4aZUsqZ+Jpx9ebiZxQiB753EiCUMf/hGz3O3r5/TprUbyvR2E8vq7
+TMJp9mX2F2ZpaGVzf2NeyLObkkPybnwCnQd1Gs6lKei4zzyooOVlTRXheqTCBgk
KoZlD28nTBU2VDxy0bK2vLTHNqednBQusitI7L3M1wSUBmYlLN1hR2izZi4RWM+7
228CFC4n4+uOkZDhP02s69UTekZklRyk5wJzXf5fe3NBdObut6wNsTMqO0QQ0c3F
dwiwLFBrCzYiwC4+059f35FURTzkPRRVCV0jQn2NHY6hZzapIisyvFLWz8DRplAv
vhVPJcPL79NdfOT2hf4QDQI10c32Wyz/zUipdbuk+qaVsHN2VlWoIrM46Mz12pZ5
8/st2LBrS/yf0br/EqCM7FARzC0wqQ9OwvSAPOJjmO7Hcihf3uefmwtLzNtUaG4F
09g7uLwrTsQ0QL31qw0M/5DDPlzTdvnRyaEaUXWwm1OfoPCfTGeXHcbRU/ZtpudQ
q6yK6F04ZQSJP0sWyK8BOrnO849nW3fWxxdUvVkZMeWBVDCP8BNLCqfWjbrb6n4a
cCxV+in824ixdCDuhFfQ0X7knsc36kEuQ3h0tI9GQChSdyBpmuZ5B7axeHW5pV26
bUBeF/sbOlOCWIojSera
=BCPZ
-----END PGP SIGNATURE-----





Bug No longer marked as fixed in versions libio-socket-inet6-perl/2.67-0.1 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 29 Nov 2011 17:39:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#648939; Package linux-2.6. (Tue, 29 Nov 2011 18:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 29 Nov 2011 18:09:03 GMT) Full text and rfc822 format available.

Message #66 received at 648939@bugs.debian.org (full text, mbox):

From: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
To: control@bugs.debian.org
Cc: 648938-done@bugs.debian.org, 648939@bugs.debian.org
Subject: whoops!
Date: Tue, 29 Nov 2011 13:07:54 -0500
[Message part 1 (text/plain, inline)]
reopen 648939
fixed 648938 2.67-0.1
thanks

whoops!  I closed the wrong bug in the changelog for
libio-socket-inet6-perl 2.67-0.1.

I apologize for the confusion!

	--dkg of the off-by-one errors

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#648939; Package linux-2.6. (Mon, 30 Apr 2012 04:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to g b <descartavel.1@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 30 Apr 2012 04:39:03 GMT) Full text and rfc822 format available.

Message #71 received at 648939@bugs.debian.org (full text, mbox):

From: g b <descartavel.1@gmail.com>
To: 648939@bugs.debian.org
Subject: mouse stops working
Date: Sun, 29 Apr 2012 21:35:20 -0700
even after reinserting the USB mouse into another port, it still does
not work. Not even the led light turns on.

plugging another mouse, even on the same port, works just fine.

plugging the troubled mouse into any other box, works just fine.

messages log keep shouting:

Apr 29 21:34:24 rouge kernel: usb 6-3: USB disconnect, device number 5
Apr 29 21:34:25 rouge kernel: ehci_hcd 0000:00:16.2: PCI INT B disabled
Apr 29 21:34:25 rouge kernel: ehci_hcd 0000:00:16.2: PME# enabled
Apr 29 21:34:25 rouge kernel: ohci_hcd 0000:00:13.0: PCI INT A disabled
Apr 29 21:34:27 rouge kernel: ohci_hcd 0000:00:16.0: PCI INT A disabled
Apr 29 21:34:30 rouge kernel: ohci_hcd 0000:00:13.0: PCI INT A ->
Link[LNKC] -> GSI 11 (level, low) -> IRQ 11
Apr 29 21:34:30 rouge kernel: ohci_hcd 0000:00:16.0: PCI INT A ->
Link[LNKC] -> GSI 11 (level, low) -> IRQ 11
Apr 29 21:34:30 rouge kernel: ehci_hcd 0000:00:12.2: BAR 0: set to
[mem 0xf0b4bb00-0xf0b4bbff] (PCI address [0xf0b4bb00-0xf0b4bbff])
Apr 29 21:34:30 rouge kernel: ehci_hcd 0000:00:12.2: restoring config
space at offset 0x1 (was 0x2b00000, writing 0x2b00013)
Apr 29 21:34:30 rouge kernel: ehci_hcd 0000:00:12.2: PME# disabled
Apr 29 21:34:30 rouge kernel: ehci_hcd 0000:00:12.2: PCI INT B ->
Link[LNKB] -> GSI 10 (level, low) -> IRQ 10
Apr 29 21:34:30 rouge kernel: ehci_hcd 0000:00:12.2: PCI INT B disabled
Apr 29 21:34:30 rouge kernel: ehci_hcd 0000:00:12.2: PME# enabled
Apr 29 21:34:30 rouge kernel: ehci_hcd 0000:00:16.2: BAR 0: set to
[mem 0xf0b4b800-0xf0b4b8ff] (PCI address [0xf0b4b800-0xf0b4b8ff])
Apr 29 21:34:30 rouge kernel: ehci_hcd 0000:00:16.2: restoring config
space at offset 0x1 (was 0x2b00000, writing 0x2b00013)
Apr 29 21:34:30 rouge kernel: ehci_hcd 0000:00:16.2: PME# disabled
Apr 29 21:34:30 rouge kernel: ehci_hcd 0000:00:16.2: PCI INT B ->
Link[LNKB] -> GSI 10 (level, low) -> IRQ 10
Apr 29 21:34:31 rouge kernel: usb 6-3: new low speed USB device number
6 using ohci_hcd
Apr 29 21:34:31 rouge kernel: usb 6-3: New USB device found,
idVendor=045e, idProduct=00d1
Apr 29 21:34:31 rouge kernel: usb 6-3: New USB device strings: Mfr=1,
Product=2, SerialNumber=0
Apr 29 21:34:31 rouge kernel: usb 6-3: Product: Microsoft Optical
Mouse with Tilt Wheel
Apr 29 21:34:31 rouge kernel: usb 6-3: Manufacturer: Microsoft
Apr 29 21:34:31 rouge kernel: input: Microsoft Microsoft Optical Mouse
with Tilt Wheel as
/devices/pci0000:00/0000:00:16.0/usb6/6-3/6-3:1.0/input/input46
Apr 29 21:34:31 rouge kernel: generic-usb 0003:045E:00D1.0024:
input,hidraw1: USB HID v1.11 Mouse [Microsoft Microsoft Optical Mouse
with Tilt Wheel] on usb-0000:00:16.0-3/input0
Apr 29 21:34:33 rouge kernel: ohci_hcd 0000:00:13.0: PCI INT A disabled
Apr 29 21:34:33 rouge kernel: ehci_hcd 0000:00:16.2: PCI INT B disabled
Apr 29 21:34:33 rouge kernel: ehci_hcd 0000:00:16.2: PME# enabled

over and over again.

I can make sense of it




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#648939; Package linux-2.6. (Mon, 30 Apr 2012 05:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 30 Apr 2012 05:00:03 GMT) Full text and rfc822 format available.

Message #76 received at 648939@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: g b <descartavel.1@gmail.com>
Cc: 648939@bugs.debian.org
Subject: Re: mouse stops working
Date: Sun, 29 Apr 2012 23:56:39 -0500
Hi,

g b wrote:

> even after reinserting the USB mouse into another port, it still does
> not work. Not even the led light turns on.
>
> plugging another mouse, even on the same port, works just fine.
>
> plugging the troubled mouse into any other box, works just fine.

Interesting.  Please file a separate bug.

Thanks,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#648939; Package linux-2.6. (Sun, 10 Jun 2012 13:06:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Addis <bpaddis@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 10 Jun 2012 13:06:23 GMT) Full text and rfc822 format available.

Message #81 received at 648939@bugs.debian.org (full text, mbox):

From: Ben Addis <bpaddis@gmail.com>
To: 648939@bugs.debian.org
Subject: Possible solution
Date: Sun, 10 Jun 2012 09:37:14 -0300
I seem to have the same problem with my laptop (asus ul30a-a2 running debian testing, xfce 4.8, kernel 3.2.0-2-amd64; my mouse is an Evoluent VerticalMouse 3)

The solution found here (https://bbs.archlinux.org/viewtopic.php?id=123553) is working for me so far. 

Essentially you edit /etc/laptop-mode/conf.d/usb-autosuspend.conf and add the usb id of your mouse to the blacklist. 





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#648939; Package linux-2.6. (Sun, 10 Jun 2012 16:18:43 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 10 Jun 2012 16:18:43 GMT) Full text and rfc822 format available.

Message #86 received at 648939@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Ben Addis <bpaddis@gmail.com>
Cc: 648939@bugs.debian.org, Erik de Castro Lopo <erikd@mega-nerd.com>, g b <descartavel.1@gmail.com>
Subject: Re: USB mouse stops work on battery power (Re: Possible solution)
Date: Sun, 10 Jun 2012 11:08:34 -0500
Hi Ben,

Ben Addis wrote:

> [Subject: Bug#648939: Possible solution]

Please keep in mind that these appear as emails in a crowded inbox, so
the subject line can be a good place to put valuable context.

> I seem to have the same problem with my laptop (asus ul30a-a2
> running debian testing, xfce 4.8, kernel 3.2.0-2-amd64; my mouse is
> an Evoluent VerticalMouse 3)

Do you mean that the mouse works when the laptop is connected to power
but stops about 20 seconds after power is disconnected, that
reconnecting power gets the mouse working again, and that this is a
regression introcued at some point between 2.6.32 and 3.0?

> The solution found here
> (https://bbs.archlinux.org/viewtopic.php?id=123553) is working for
> me so far. 
>
> Essentially you edit /etc/laptop-mode/conf.d/usb-autosuspend.conf
> and add the usb id of your mouse to the blacklist. 

Please attach output from "reportbug --template
linux-image-$(uname -r)" so we can work on diagnosing and fixing (or
at least automatically working around) the underlying problem.

Hope that helps,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#648939; Package linux-2.6. (Mon, 11 Jun 2012 00:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 11 Jun 2012 00:42:03 GMT) Full text and rfc822 format available.

Message #91 received at 648939@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 648939@bugs.debian.org
Cc: Ben Addis <bpaddis@gmail.com>
Subject: [Ben Addis: Re: USB mouse stops work on battery power (Re: Possible solution)]
Date: Sun, 10 Jun 2012 19:38:45 -0500
[Message part 1 (text/plain, inline)]
Forwarding with permission.
[Message part 2 (message/rfc822, inline)]
From: Ben Addis <bpaddis@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Subject: Re: USB mouse stops work on battery power (Re: Possible solution)
Date: Sun, 10 Jun 2012 15:14:31 -0300
[Message part 3 (text/plain, inline)]
On Sun, 10 Jun 2012 11:08:34 -0500
Jonathan Nieder <jrnieder@gmail.com> wrote:

> Hi Ben,
> 
> Ben Addis wrote:
> 
> > [Subject: Bug#648939: Possible solution]
> 
> Please keep in mind that these appear as emails in a crowded inbox, so
> the subject line can be a good place to put valuable context.

Sorry about that; I'll remember for next time.

> 
> > I seem to have the same problem with my laptop (asus ul30a-a2
> > running debian testing, xfce 4.8, kernel 3.2.0-2-amd64; my mouse is
> > an Evoluent VerticalMouse 3)
> 
> Do you mean that the mouse works when the laptop is connected to power
> but stops about 20 seconds after power is disconnected, that
> reconnecting power gets the mouse working again, and that this is a
> regression introcued at some point between 2.6.32 and 3.0?

I tested it again a few times without the blacklist on the usb mouse's autosuspend. When I unplug the power, the mouse does work, but for varying amounts of time. One time worked ok for 2 minutes until I used the keyboard (and then it died in about 15 secs), another time it didn't work after only a second or two, and the third it lasted for maybe 3 minutes even while using the keyboard. So it seems unconnected to the keyboard use, and to the length of time since unplugging (except that it was always under 5 minutes or so).

In every case, it worked immediately on plugging the laptop back in.  Also unplugging the usb mouse and plugging it back in fixed it (while on battery), but only temporarily, as it would die again in the same way as when unplugging the computer.

Unfortunately, I don't know about when the bug was introduced, as I only switched to pure Debian (from LMDE) about 2 weeks ago. I only just noticed this bug yesterday, but I almost never use my usb mouse when unplugged. I'm not 100% sure I haven't done so in the last 2 weeks, but it's probable. I definitely didn't have this problem in LMDE, though, and I was on at least kernel 3.0.

> > The solution found here
> > (https://bbs.archlinux.org/viewtopic.php?id=123553) is working for
> > me so far. 
> >
> > Essentially you edit /etc/laptop-mode/conf.d/usb-autosuspend.conf
> > and add the usb id of your mouse to the blacklist. 
> 
> Please attach output from "reportbug --template
> linux-image-$(uname -r)" so we can work on diagnosing and fixing (or
> at least automatically working around) the underlying problem.

I've never used reportbug, so hopefully I've got it right.

> Hope that helps,
> Jonathan

Thanks for taking the time to go through this.

Ben
[bpaddis-648939.txt (text/plain, attachment)]

Reply sent to Moritz Mühlenhoff <jmm@inutil.org>:
You have taken responsibility. (Fri, 31 May 2013 16:00:49 GMT) Full text and rfc822 format available.

Notification sent to Erik de Castro Lopo <erikd@mega-nerd.com>:
Bug acknowledged by developer. (Fri, 31 May 2013 16:00:49 GMT) Full text and rfc822 format available.

Message #96 received at 648939-done@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <jmm@inutil.org>
To: 646818-done@bugs.debian.org, 646310-done@bugs.debian.org, 646117-done@bugs.debian.org, 646184-done@bugs.debian.org, 648011-done@bugs.debian.org, 648364-done@bugs.debian.org, 648939-done@bugs.debian.org, 648386-done@bugs.debian.org
Subject: Closing
Date: Fri, 31 May 2013 17:58:32 +0200
Hi,
your bug has been filed against the "linux-2.6" source package and was filed for
a kernel older than the recently released Debian 7.0 / Wheezy with a severity
less than important.

We don't have the ressources to reproduce the complete backlog of all older kernel
bugs, so we're closing this bug for now. If you can reproduce the bug with Debian Wheezy
or a more recent kernel from testing or unstable, please reopen the bug by sending
a mail to control@bugs.debian.org with the following three commands included in the
mail:

reopen BUGNUMBER
reassign BUGNUMBER src:linux
thanks

Cheers,
        Moritz



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 29 Jun 2013 07:33:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:18:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.